Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.servingxml.io.streamsource.url
Class UrlSource

    java.lang.Object
      com.servingxml.io.streamsource.url.UrlSource

All Implemented Interfaces:
  StreamSource

    public class UrlSource

extends java.lang.Object
implements StreamSource

Field Summary

Fields inherited from interface com.servingxml.io.streamsource.StreamSource
`NULL, NULL_INPUT_STREAM`

Constructor Summary
`UrlSource(java.net.URL url)`
`UrlSource(java.net.URL url, java.nio.charset.Charset charset)`

Method Summary
`void` | `closeStream(java.io.InputStream is)`
`static StreamExpirable` | `createStreamExpirable(java.net.URL url)`
`java.nio.charset.Charset` | `getCharset()`
`java.nio.charset.Charset` | `getCharset(java.nio.charset.Charset defaultCharset)`
`Expirable` | `getExpirable()`
`Key` | `getKey()`
`java.lang.String` | `getSystemId()`
`java.io.InputStream` | `openStream()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UrlSource

    public UrlSource(java.net.URL url)

### UrlSource

    public UrlSource(java.net.URL url,
                     java.nio.charset.Charset charset)

Method Detail

### openStream

    public java.io.InputStream openStream()

  Specified by:
    `openStream` in interface `StreamSource`

### getKey

    public Key getKey()

  Specified by:
    `getKey` in interface `StreamSource`

### getExpirable

    public Expirable getExpirable()

  Specified by:
    `getExpirable` in interface `StreamSource`

### getSystemId

    public java.lang.String getSystemId()

  Specified by:
    `getSystemId` in interface `StreamSource`

### closeStream

    public void closeStream(java.io.InputStream is)
                     throws java.io.IOException

  Specified by:
    `closeStream` in interface `StreamSource`
  Throws:
    `java.io.IOException`

### createStreamExpirable

    public static final StreamExpirable createStreamExpirable(java.net.URL url)

### getCharset

    public java.nio.charset.Charset getCharset()

  Specified by:
    `getCharset` in interface `StreamSource`

### getCharset

    public java.nio.charset.Charset getCharset(java.nio.charset.Charset defaultCharset)

  Specified by:
    `getCharset` in interface `StreamSource`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD